﻿@model List<UserBankAccountViewModel>
@{
    Layout = "~/Views/Shared/_PanelSettingLayout.cshtml";
    ViewBag.Title = "لیست حساب های بانکی";
}

<div class="actions-toolbar py-2 mb-4">
    <h5 class="mb-1">@ViewBag.Title</h5>
    <p class="text-sm text-muted mb-0">برای انجام سریع تر مبادلات حساب های بانکی خود را به ما معرفی نمایید.</p>
</div>
<div class="table-responsive">
    <table class="table table-hover table-sm table-cards align-items-center">
        <thead>
            <tr>
                <td>
                    <i class="far fa-landmark mr-2"></i>
                    @Html.DisplayForModel(Model.GetObject().BankName)
                </td>
                <td>
                    <i class="far fa-piggy-bank mr-2"></i>
                    @Html.DisplayForModel(Model.GetObject().BankAccountNumber)
                </td>
                <td>
                    <i class="far fa-credit-card-front mr-2"></i>
                    @Html.DisplayForModel(Model.GetObject().CardNumber)
                </td>
                <td>
                    <i class="far fa-money-check mr-2"></i>
                    @Html.DisplayForModel(Model.GetObject().ShebaNumber)
                </td>
                <td></td>
            </tr>
        </thead>
        <tbody>
            @if (Model != null && Model.Count > 0)
            {
                for (int i = 0; i < Model.Count; i++)
                {
                    var item = Model[i];
                    <tr>
                        @*<th scope="row">
                                <span class="badge badge-lg badge-dot">
                                    <i class="bg-success"></i>
                                </span>
                            </th>*@
                        <td>
                            <span class="h6 text-sm">@item.BankName</span>
                        </td>
                        <td>
                            @item.BankAccountNumber
                        </td>
                        <td>
                            @item.CardNumber
                        </td>
                        <td>
                            @item.ShebaNumber
                        </td>
                        <td class="text-right">
                            <div class="actions">
                                <div class="dropdown">
                                    <a class="action-item" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="far fa-ellipsis-h"></i></a>
                                    <div class="dropdown-menu dropdown-menu-right">
                                        <a class="dropdown-item" href="@Url.Action("EditBankAccount")"><i class="far fa-pencil mr-2"></i>ویرایش</a>
                                        <a class="dropdown-item" href="#"><i class="far fa-trash mr-2"></i>حذف</a>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                    if (i != (Model.Count - 1))
                    {
                        <tr class="table-divider"></tr>
                    }
                }
            }
        </tbody>
    </table>
</div>